For the complete documentation index, see llms.txt. This page is also available as Markdown.

List receivement items

List all items belonging to a specific receivement.

Required permissions: RECEIVEMENT

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text"
      },
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "unitCost": 1,
      "receivementItemUid": "text",
      "serialnumber": "text",
      "status": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?